> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vijil.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Copy Preset

> Create a copy of a preset policy for the team.



## OpenAPI

````yaml /openapi/api.json post /v1/policies/presets/{preset_id}/copy
openapi: 3.1.0
info:
  title: Vijil Console API (Combined)
  description: Combined OpenAPI specification for all vijil-console microservices.
  version: 0.1.0
servers: []
security: []
tags:
  - name: Teams
    description: Authentication, users, and team management
  - name: Agent Environment
    description: Agent, persona, policy, and harness management
  - name: Diamond
    description: Evaluation management and report retrieval
  - name: Dome
    description: Protection, guardrails, and telemetry
  - name: Red Team
    description: Red team campaigns
paths:
  /v1/policies/presets/{preset_id}/copy:
    post:
      tags:
        - Agent Environment
        - policies
      summary: Copy Preset
      description: Create a copy of a preset policy for the team.
      operationId: copy_preset_v1_policies_presets__preset_id__copy_post
      parameters:
        - name: preset_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Preset Id
        - name: name_override
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Name Override
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Policy'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Policy:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        team_id:
          type: string
          format: uuid
          title: Team Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        category:
          $ref: '#/components/schemas/PolicyCategory'
        status:
          $ref: '#/components/schemas/PolicyStatus'
          default: draft
        source_text:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Text
        file_path:
          anyOf:
            - type: string
            - type: 'null'
          title: File Path
        file_name:
          anyOf:
            - type: string
            - type: 'null'
          title: File Name
        file_type:
          anyOf:
            - type: string
            - type: 'null'
          title: File Type
        file_size_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: File Size Bytes
        converted_file_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Converted File Path
        is_preset:
          type: boolean
          title: Is Preset
          default: false
        preset_source:
          anyOf:
            - type: string
            - type: 'null'
          title: Preset Source
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
        created_at:
          type: integer
          title: Created At
        updated_at:
          type: integer
          title: Updated At
        created_by:
          type: string
          format: uuid
          title: Created By
      type: object
      required:
        - id
        - team_id
        - name
        - category
        - created_at
        - updated_at
        - created_by
      title: Policy
      description: Domain model for Policy document.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PolicyCategory:
      type: string
      enum:
        - privacy
        - ethics
        - security
        - compliance
        - operational
        - brand
        - custom
      title: PolicyCategory
      description: Category of policy document.
    PolicyStatus:
      type: string
      enum:
        - draft
        - active
        - archived
      title: PolicyStatus
      description: Status of a policy document.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````